define('smart-attachments/i18n', ['ajs'], function (ajs) {
    const dictionary = {
        'attach.cat.no-cat': ajs.I18n.getText('attach.cat.no-cat'),
        'common.words.groups': ajs.I18n.getText('common.words.groups'),
        'common.words.project.roles': ajs.I18n.getText('common.words.project.roles'),
        'admin.common.words.users': ajs.I18n.getText('admin.common.words.users'),
        'common.words.fields': ajs.I18n.getText('common.words.fields'),
        'attach.cat.project': ajs.I18n.getText('attach.cat.project'),
        'attach.cat.action.add': ajs.I18n.getText('attach.cat.action.add'),
        'attach.cat.action.edit': ajs.I18n.getText('attach.cat.action.edit'),
        'attach.cat.action.delete': ajs.I18n.getText('attach.cat.action.delete'),
        'attach.cat.action.save': ajs.I18n.getText('attach.cat.action.save'),
        'attach.cat.action.remove': ajs.I18n.getText('attach.cat.action.remove'),
        'attach.cat.action.cancel': ajs.I18n.getText('attach.cat.action.cancel'),
        'attach.cat.action.create': ajs.I18n.getText('attach.cat.action.create'),
        'attach.cat.action.close': ajs.I18n.getText('attach.cat.action.close'),
        'attach.cat.action.copy': ajs.I18n.getText('attach.cat.action.copy'),
        'attach.cat.action.confirm': ajs.I18n.getText('attach.cat.action.confirm'),
        'attach.cat.action.back': ajs.I18n.getText('attach.cat.action.back'),
        'attach.cat.action.reset': ajs.I18n.getText('attach.cat.action.reset'),
        'attach.cat.action.feedback': ajs.I18n.getText('attach.cat.action.feedback'),
        'attach.cat.action.acknowledge': ajs.I18n.getText('attach.cat.action.acknowledge'),
        'attach.cat.action.edit.scheme': ajs.I18n.getText('attach.cat.action.edit.scheme'),
        'attach.cat.action.use.different.scheme': ajs.I18n.getText('attach.cat.action.use.different.scheme'),
        'attach.cat.actions': ajs.I18n.getText('attach.cat.actions'),
        'attach.cat.view.documentation': ajs.I18n.getText('attach.cat.view.documentation'),
        'attach.cat.license.inactive.title': ajs.I18n.getText('attach.cat.license.inactive.title'),
        'attach.cat.license.inactive.description.in-order': ajs.I18n.getText('attach.cat.license.inactive.description.in-order'),
        'attach.cat.license.inactive.description.purchase': ajs.I18n.getText('attach.cat.license.inactive.description.purchase'),
        'attach.cat.license.inactive.description.product': ajs.I18n.getText('attach.cat.license.inactive.description.product'),
        'attach.cat.action.schemes.web-item.title': ajs.I18n.getText('attach.cat.action.schemes.web-item.title'),
        'attach.cat.empty-state.header': ajs.I18n.getText('attach.cat.empty-state.header'),
        'attach.cat.empty-state.description': ajs.I18n.getText('attach.cat.empty-state.description'),
        'attach.cat.action.schemes.button.create.scheme': ajs.I18n.getText('attach.cat.action.schemes.button.create.scheme'),
        'attach.cat.action.schemes.dialog.scheme.name': ajs.I18n.getText('attach.cat.action.schemes.dialog.scheme.name'),
        'attach.cat.action.schemes.actions.edit': ajs.I18n.getText('attach.cat.action.schemes.actions.edit'),
        'attach.cat.action.schemes.actions.associate': ajs.I18n.getText('attach.cat.action.schemes.actions.associate'),
        'attach.cat.action.schemes.actions.delete': ajs.I18n.getText('attach.cat.action.schemes.actions.delete'),
        'attach.cat.action.schemes.actions.copy': ajs.I18n.getText('attach.cat.action.schemes.actions.copy'),
        'attach.cat.action.schemes.dialog.delete.title': ajs.I18n.getText('attach.cat.action.schemes.dialog.delete.title'),
        'attach.cat.action.schemes.dialog.delete.body': function (schemeName) {return ajs.I18n.getText('attach.cat.action.schemes.dialog.delete.body', schemeName)},
        'attach.cat.action.schemes.dialog.copy.title': ajs.I18n.getText('attach.cat.action.schemes.dialog.copy.title'),
        'attach.cat.action.schemes.table.header.name': ajs.I18n.getText('attach.cat.action.schemes.table.header.name'),
        'attach.cat.action.schemes.table.header.categories': ajs.I18n.getText('attach.cat.action.schemes.table.header.categories'),
        'attach.cat.action.schemes.table.header.last-modified': ajs.I18n.getText('attach.cat.action.schemes.table.header.last-modified'),
        'attach.cat.action.schemes.table.header.associated-projects': ajs.I18n.getText('attach.cat.action.schemes.table.header.associated-projects'),
        'attach.cat.action.schemes.table.header.actions': ajs.I18n.getText('attach.cat.action.schemes.table.header.actions'),
        'attach.cat.action.schemes.button.back.to.category.schemes': ajs.I18n.getText('attach.cat.action.schemes.button.back.to.category.schemes'),
        'attach.cat.action.project.button.use-existing-scheme': ajs.I18n.getText('attach.cat.action.project.button.use-existing-scheme'),
        'attach.cat.action.project.button.create-new-scheme': ajs.I18n.getText('attach.cat.action.project.button.create-new-scheme'),
        'attach.cat.action.project.use-existing.description': ajs.I18n.getText('attach.cat.action.project.use-existing.description'),
        'attach.cat.action.project.use-existing.select.title': ajs.I18n.getText('attach.cat.action.project.use-existing.select.title'),
        'attach.cat.action.project.scheme.view.warning': ajs.I18n.getText('attach.cat.action.project.scheme.view.warning'),
        'attach.cat.action.project.scheme.default.name.pattern': function (projectKey, projectName) {return ajs.I18n.getText('attach.cat.action.project.scheme.default.name.pattern', projectKey, projectName)},
        'attach.cat.project.type-form-field.multiple': ajs.I18n.getText('attach.cat.project.type-form-field.multiple'),
        'attach.cat.project.type-form-field.dropdown': ajs.I18n.getText('attach.cat.project.type-form-field.dropdown'),
        'attach.cat.scheme.table.title.active': ajs.I18n.getText('attach.cat.scheme.table.title.active'),
        'attach.cat.scheme.table.title.inactive': ajs.I18n.getText('attach.cat.scheme.table.title.inactive'),
        'attach.cat.scheme.create.title': ajs.I18n.getText('attach.cat.scheme.create.title'),
        'attach.cat.scheme.edit.title': ajs.I18n.getText('attach.cat.scheme.edit.title'),
        'attach.cat.scheme.associate.title': ajs.I18n.getText('attach.cat.scheme.associate.title'),
        'attach.cat.scheme.associate.select.project.description': ajs.I18n.getText('attach.cat.scheme.associate.select.project.description'),
        'attach.cat.scheme.associate.select.project.placeholder': ajs.I18n.getText('attach.cat.scheme.associate.select.project.placeholder'),
        'attach.cat.scheme.associate.no-projects.title': ajs.I18n.getText('attach.cat.scheme.associate.no-projects.title'),
        'attach.cat.scheme.associate.no-projects.description': ajs.I18n.getText('attach.cat.scheme.associate.no-projects.description'),
        'attach.cat.scheme.associate.table.header.project': ajs.I18n.getText('attach.cat.scheme.associate.table.header.project'),
        'attach.cat.scheme.associate.table.header.actions': ajs.I18n.getText('attach.cat.scheme.associate.table.header.actions'),
        'attach.cat.scheme.associate.confirm.dialog.title': ajs.I18n.getText('attach.cat.scheme.associate.confirm.dialog.title'),
        'attach.cat.scheme.associate.confirm.dialog.body': function (schemeName) {return ajs.I18n.getText('attach.cat.scheme.associate.confirm.dialog.body', schemeName)},
        'attach.cat.scheme.options.name': ajs.I18n.getText('attach.cat.scheme.options.name'),
        'attach.cat.scheme.options.thumbnail-size': ajs.I18n.getText('attach.cat.scheme.options.thumbnail-size'),
        'attach.cat.scheme.options.form-field-type': ajs.I18n.getText('attach.cat.scheme.options.form-field-type'),
        'attach.cat.scheme.options.error.not-unique': ajs.I18n.getText('attach.cat.scheme.options.error.not-unique'),
        'attach.cat.scheme.options.error.empty': ajs.I18n.getText('attach.cat.scheme.options.error.empty'),
        'attach.cat.scheme.table.header.category': ajs.I18n.getText('attach.cat.scheme.table.header.category'),
        'attach.cat.scheme.table.header.issue-types': ajs.I18n.getText('attach.cat.scheme.table.header.issue-types'),
        'attach.cat.scheme.table.header.access-restrictions': ajs.I18n.getText('attach.cat.scheme.table.header.access-restrictions'),
        'attach.cat.scheme.table.header.auto-distribution': ajs.I18n.getText('attach.cat.scheme.table.header.auto-distribution'),
        'attach.cat.scheme.table.header.action': ajs.I18n.getText('attach.cat.scheme.table.header.action'),
        'attach.cat.scheme.select.group-role-user.def.category.placeholder': ajs.I18n.getText('attach.cat.scheme.select.group-role-user.def.category.placeholder'),
        'attach.cat.scheme.select.group-role-user.placeholder': ajs.I18n.getText('attach.cat.scheme.select.group-role-user.placeholder'),
        'attach.cat.scheme.dialog.auto-distribution.title': ajs.I18n.getText('attach.cat.scheme.dialog.auto-distribution.title'),
        'attach.cat.scheme.dialog.auto-distribution.match-type': ajs.I18n.getText('attach.cat.scheme.dialog.auto-distribution.match-type'),
        'attach.cat.scheme.dialog.auto-distribution.match-type.pattern': ajs.I18n.getText('attach.cat.scheme.dialog.auto-distribution.match-type.pattern'),
        'attach.cat.scheme.dialog.auto-distribution.match-type.regexp': ajs.I18n.getText('attach.cat.scheme.dialog.auto-distribution.match-type.regexp'),
        'attach.cat.scheme.dialog.auto-distribution.value': ajs.I18n.getText('attach.cat.scheme.dialog.auto-distribution.value'),
        'attach.cat.scheme.table.button.auto-distribution.hover.title': function (matchTypeName, value) {return ajs.I18n.getText('attach.cat.scheme.table.button.auto-distribution.hover.title', matchTypeName, value)},
        'attach.cat.scheme.select.issue-types.placeholder': ajs.I18n.getText('attach.cat.scheme.select.issue-types.placeholder'),
        'attach.cat.scheme.select.issue-types.option.not-available': ajs.I18n.getText('attach.cat.scheme.select.issue-types.option.not-available'),
        'attach.cat.scheme.select.scheme.placeholder': ajs.I18n.getText('attach.cat.scheme.select.scheme.placeholder'),
        'attach.cat.scheme.lock.fail.message.unable-lock.title': ajs.I18n.getText('attach.cat.scheme.lock.fail.message.unable-lock.title'),
        'attach.cat.scheme.lock.fail.message.unable-lock.description.locked.by': ajs.I18n.getText('attach.cat.scheme.lock.fail.message.unable-lock.description.locked.by'),
        'attach.cat.scheme.lock.fail.message.unable-lock.description.try.later': ajs.I18n.getText('attach.cat.scheme.lock.fail.message.unable-lock.description.try.later'),
        'attach.cat.scheme.category.error.not-unique': ajs.I18n.getText('attach.cat.scheme.category.error.not-unique'),
        'attach.cat.scheme.category.error.empty': ajs.I18n.getText('attach.cat.scheme.category.error.empty'),
        'attach.cat.scheme.flag.message.scheme.associated.title': ajs.I18n.getText('attach.cat.scheme.flag.message.scheme.associated.title'),
        'attach.cat.scheme.flag.message.scheme.associated.description': ajs.I18n.getText('attach.cat.scheme.flag.message.scheme.associated.description'),
        'attach.cat.scheme.flag.message.scheme.created.title': ajs.I18n.getText('attach.cat.scheme.flag.message.scheme.created.title'),
        'attach.cat.scheme.flag.message.scheme.created.description': ajs.I18n.getText('attach.cat.scheme.flag.message.scheme.created.description'),
        'attach.cat.scheme.flag.message.scheme.updated.title': ajs.I18n.getText('attach.cat.scheme.flag.message.scheme.updated.title'),
        'attach.cat.scheme.flag.message.scheme.updated.description': ajs.I18n.getText('attach.cat.scheme.flag.message.scheme.updated.description'),
        'attach.cat.scheme.flag.message.scheme.copied.title': ajs.I18n.getText('attach.cat.scheme.flag.message.scheme.copied.title'),
        'attach.cat.scheme.flag.message.scheme.copied.description': ajs.I18n.getText('attach.cat.scheme.flag.message.scheme.copied.description'),
        'attach.cat.scheme.flag.message.scheme.deleted.title': ajs.I18n.getText('attach.cat.scheme.flag.message.scheme.deleted.title'),
        'attach.cat.scheme.flag.message.scheme.deleted.description': ajs.I18n.getText('attach.cat.scheme.flag.message.scheme.deleted.description'),
        'attach.cat.scheme.flag.message.scheme.locked.not.deleted.title': ajs.I18n.getText('attach.cat.scheme.flag.message.scheme.locked.not.deleted.title'),
        'attach.cat.scheme.flag.message.scheme.locked.not.deleted.description': ajs.I18n.getText('attach.cat.scheme.flag.message.scheme.locked.not.deleted.description'),
        'attach.cat.scheme.flag.message.scheme.locked.not.copied.title': ajs.I18n.getText('attach.cat.scheme.flag.message.scheme.locked.not.copied.title'),
        'attach.cat.scheme.flag.message.scheme.locked.not.copied.description': ajs.I18n.getText('attach.cat.scheme.flag.message.scheme.locked.not.copied.description'),
        'attach.cat.scheme.flag.message.scheme.not.copied.title': ajs.I18n.getText('attach.cat.scheme.flag.message.scheme.not.copied.title'),
        'attach.cat.scheme.flag.message.scheme.not.copied.description': ajs.I18n.getText('attach.cat.scheme.flag.message.scheme.not.copied.description'),
        'attach.cat.scheme.flag.message.scheme.not.deleted.title': ajs.I18n.getText('attach.cat.scheme.flag.message.scheme.not.deleted.title'),
        'attach.cat.scheme.flag.message.scheme.not.deleted.description': ajs.I18n.getText('attach.cat.scheme.flag.message.scheme.not.deleted.description'),
        'attach.cat.scheme.flag.message.scheme.not.created.title': ajs.I18n.getText('attach.cat.scheme.flag.message.scheme.not.created.title'),
        'attach.cat.scheme.flag.message.scheme.not.created.description': ajs.I18n.getText('attach.cat.scheme.flag.message.scheme.not.created.description'),
        'attach.cat.scheme.flag.message.scheme.not.updated.title': ajs.I18n.getText('attach.cat.scheme.flag.message.scheme.not.updated.title'),
        'attach.cat.scheme.flag.message.scheme.not.updated.description': ajs.I18n.getText('attach.cat.scheme.flag.message.scheme.not.updated.description'),
        'attach.cat.scheme.flag.message.projects.not.associated.title': ajs.I18n.getText('attach.cat.scheme.flag.message.projects.not.associated.title'),
        'attach.cat.scheme.flag.message.projects.not.associated.description': ajs.I18n.getText('attach.cat.scheme.flag.message.projects.not.associated.description'),
        'attach.cat.scheme.flag.message.project.not.associated.title': ajs.I18n.getText('attach.cat.scheme.flag.message.project.not.associated.title'),
        'attach.cat.scheme.flag.message.project.not.associated.description': ajs.I18n.getText('attach.cat.scheme.flag.message.project.not.associated.description'),
        'attach.cat.data.flag.message.not.loaded.title': ajs.I18n.getText('attach.cat.data.flag.message.not.loaded.title'),
        'attach.cat.data.flag.message.not.loaded.description': ajs.I18n.getText('attach.cat.data.flag.message.not.loaded.description'),
        'attach.cat.browser.message.not.saved': ajs.I18n.getText('attach.cat.browser.message.not.saved'),
    };

    return {
        getText: function (key) {
            return dictionary[key];
        }
    };
});