define('smart-attachments/base/CommonClasses', ['underscore'], function (_) {
    var CustomDropZone = function (dropZone, section) {
        this.dropZone = dropZone;
        this.section = section;
    };

    _.extend(CustomDropZone.prototype, {
        getCategoryId: function () {
            return this.dropZone.category.id;
        },

        getCategory: function () {
            return this.dropZone.category;
        },

        isDefaultCategory: function () {
            return this.getCategory().id === 0;
        }
    });

    return {
        TempAttachment: function (name, categoryId) {
            this.name = name;
            this.categoryId = categoryId;
        },

        JiraTempAttachment: function (fileId, categoryId) {
            this.fileId = fileId;
            this.categoryId = categoryId;
        },

        CustomDropZone: CustomDropZone
    }
});