(function ($) {

    function removeInput() {
        $('.sa-input-appearing').remove();
    }

    function inputTemplate() {
        return '<input class="sa-input-appearing filter-value" name="filterValue" type="text">';
    }

    function bindRadioButtons() {
        $('#filter-none').change(removeInput);

        $('#filter-keywords, #filter-regex').change(function () {
            if ($(this).is(':checked')) {
                removeInput();
                $(this).parent('div').append(inputTemplate());
            }
        });
    }

    AJS.toInit(bindRadioButtons);
}(AJS.$));