define('smart-attachments/base/CommonClasses', ['underscore'], function (_) {
    var CustomDropZone = function (dropZone, section) {
        this.dropZone = dropZone;
        this.section = section;
    };

    _.extend(CustomDropZone.prototype,{
        getCategoryId: function(){
            return this.dropZone.category.id;
        },

        getCategory: function() {
            return this.dropZone.category;
        },

        isDefaultCategory: function() {
            return this.getCategory().defaultCategory;
        }
    });

    return {
        TempAttachment: function (name, categoryId, parentId) {
            this.name = name;
            this.categoryId = categoryId;
            this.parentId = parentId;
        },

        JiraTempAttachment: function (fileId, categoryId) {
            this.fileId = fileId;
            this.categoryId = categoryId;
        },

        CustomDropZone: CustomDropZone
    }
});