define('smart-attachments/dialog/FeatureDiscoveryDialog',
    ['jquery', 'underscore'],
    function ($, _) {
        var FeatureDiscoveryDialog = function (context) {
            context.attr('aria-controls', 'feature-discovery');
            var $body = $(AttachCategory.featureDiscovery());
            $body.on('aui-hide', function () {
                JIRA.SmartAjax.makeRequest({
                    type: 'POST',
                    url: AJS.params.baseURL + '/rest/attach-cat/1.0/attachments/fd'
                });
            });

            var onClick = function (event) {
                event.preventDefault();
                $body.removeAttr('open', '');
                $body.remove();
            };

            $body.find('button').on('click', onClick);

            context.after($body);

            var show = function () {
                $body.attr('open', '');
            };

            return {
                show: show
            }
        };
        return FeatureDiscoveryDialog;
    });