(function ($) {

    var context, featureType;

    function pageViewed() {
        if (featureType === 'search') {
            SmartAttachAnalytics.eventFindAttachmentsFeatureOpened();
        }
        if (featureType === 'storage') {
            SmartAttachAnalytics.eventProjectStorageFeatureOpened();
        }
    }

    function voteClicked() {
        if (featureType === 'search') {
            SmartAttachAnalytics.eventFindAttachmentsFeatureVoteAdded();
        }
        if (featureType === 'storage') {
            SmartAttachAnalytics.eventProjectStorageFeatureVoteAdded();
        }
    }

    function bindToShowFeedbackForm() {
        context.on('click', '.aui-button-primary.vote', showFeedbackForm);
    }

    function showFeedbackForm() {
        context.addClass('feedback');
        voteClicked();
    }

    function initContext() {
        context = $('#feature-content');
        featureType = context.data('type');
    }

    AJS.toInit(function () {
        initContext();
        pageViewed();
        bindToShowFeedbackForm();
    });

})(AJS.$);